//import apwidgets.*; //you must download and install the apwidgets library


import android.media.AudioTrack;
import android.media.AudioFormat;
import android.media.AudioManager;



import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;


public class Verbraucher implements Runnable
{
    private AudioTrack audioTrack;
    public long puffer_dauer_millis = (long)(1000.0*dt*(double)(puffer_groesse/2));
    public byte[] samples = new byte[puffer_groesse];    
    
    public Verbraucher()
    {
        audioTrack = new AudioTrack(AudioManager.STREAM_MUSIC, sample_frequenz, 
                                    AudioFormat.CHANNEL_OUT_STEREO, 
                                    AudioFormat.ENCODING_PCM_8BIT, 
                                    puffer_groesse, 
                                    AudioTrack.MODE_STREAM);
        audioTrack.play();
        
    }
    
    public void run()
    {
          if(audioTrack!=null && semaphore<N-puffer_groesse/2)
          {
               for(int i=0;i<puffer_groesse/2;i++)
               {
                     samples[i*2] = links[(index_verbraucher+i)%N];
                     samples[i*2+1] = rechts[(index_verbraucher+i)%N];
               }
            
               audioTrack.write(samples, 0,puffer_groesse);
               
               index_verbraucher+=puffer_groesse/2;
               index_verbraucher%=N;
               
               semaphore+=puffer_groesse/2;
          }
    }
}
