import java.util.concurrent.Executors;
import java.util.concurrent.ScheduledExecutorService;
import java.util.concurrent.TimeUnit;

int puffer_groesse = 512;  //Audio-Puffer

int index_produzierer = 0;
int index_verbraucher = 0;
int N = 10*(puffer_groesse/2);
int semaphore = N;
byte[] links = new byte[N];    
byte[] rechts = new byte[N];   
int sample_frequenz = 22050;
double t=0.0;
double dt=1.0/(double)sample_frequenz;


void setup()
{
     Verbraucher verb = new Verbraucher();
     Produzierer prod = new Produzierer();
     
     (new Thread(prod)).start();
     
     ScheduledExecutorService schedExecService = Executors.newSingleThreadScheduledExecutor();
     schedExecService.scheduleAtFixedRate(verb, 0, verb.puffer_dauer_millis, TimeUnit.MILLISECONDS);        
     
}

void draw()
{
     clear();
     background(0);
     fill(255,0,0);
     ellipse(width/2,height/2,width,height);
}


